clear;
addpath('..\Channel_Model');
load_para_M2M_suburban;
SpaceTimeUnifiedFramework;
H = zeros(para.M_R, para.M_T, length(TimeTrace), 30);
maxNum = 0;
for t = 1:length(TimeTrace)
    for q = 1:para.M_R
        for p=1:para.M_T
            ClusterIndex = unique(TimeTrace{t}.Cluster_Map(:,1));
            if length(ClusterIndex)>maxNum
                maxNum =length(ClusterIndex);
            end
            for c=1:length(ClusterIndex)
                index = find(TimeTrace{t}.Cluster_Map(:,1) == ClusterIndex(c));
                H(q,p,t,c) = sum(TimeTrace{t}.h(q,p,index));
            end
        end
    end
end
H(:,:,:,maxNum+1:end) = [];
save('H_M2M.mat',  'H');
mesh(abs(squeeze(H(1,1,:,:))));
