%% MEA_Laplace_offset_cal
% N: number of points
% angle_data: angle data 
% pdf_data: pdf data
function y=MEA_Laplace_offset_cal(N, angle_variance)
b=sqrt(angle_variance/2);
i_negative=fix(1:N/2);
x_negative=b*log((2*i_negative-1)/N);
if mod(N,2)==0
    y=[x_negative  x_negative(end:-1:1)];
else
    y=[x_negative 0 -x_negative(end:-1:1)];
end